Subject: Re: bug#37492: GUIXSD 1.0.1 install error

From: RAUL H C LOPES <[email-masked]>
Date: Fri, 27 Sep 2019 23:50:40 +0100

Hi Marius,

I've managed to install GuixSD by chossing  msdos instead of gpt. 
Coincidence? Is the gpt setup tested?

I've running the system for a few days.

I need now a good manual> I'm suffering for:
  - reconfigure stuff that is usually in /etc, like /etc/ssh/sshd_config;
  - running a make on an open source project who looks for linux libs 
where debian would find them.

Regards, Raul

On 27/09/2019 22:08, Marius Bakke wrote:
> Hello Raul,
>
> RAUL H C LOPES <[email-masked]> writes:
>
>> Hi,
>>
>>
>> I've emailed a few hours ago about an error in the GUIXSD installer. It
>> might be relevant that I was doing encrypted home and root. Very likely
>> unconnected.
>>
>>
>> I've just tried a new install without encryption. A new failure:
>>
>>     .../grub-install- error: efibootmgr failed to register the boot
>> entry: Input/output error.
> This means that GRUB failed to update the UEFI variables on your system.
> Are you using the generated configuration file or a custom one?
>
> The most likely reason for this error is that you are using
> 'grub-efi-bootloader' on a non-EFI system.  Changing to
> 'grub-bootloader' should solve it in that case.
>
> HTH,
> Marius